### Hierarchy

- unknown
  - VenmoAccountPayload

## Index

### Constructors

- constructor

### Methods

- getHolderName
- getVenmoUserName
- serializeBinary
- setHolderName
- setVenmoUserName
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new VenmoAccountPayload(): VenmoAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns VenmoAccountPayload

## Methods

### getHolderName

- getHolderName(): string

- - Defined in src/protobuf/pb_pb.d.ts:5185

  #### Returns string

### getVenmoUserName

- getVenmoUserName(): string

- - Defined in src/protobuf/pb_pb.d.ts:5182

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:5188

  #### Returns Uint8Array

### setHolderName

- setHolderName(value: string): VenmoAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5186

  #### Parameters

  - ##### value: string

  #### Returns VenmoAccountPayload

### setVenmoUserName

- setVenmoUserName(value: string): VenmoAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5183

  #### Parameters

  - ##### value: string

  #### Returns VenmoAccountPayload

### toObject

- toObject(includeInstance?: boolean): VenmoAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5189

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns VenmoAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): VenmoAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5192

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns VenmoAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: VenmoAccountPayload, reader: BinaryReader): VenmoAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:5193

  #### Parameters

  - ##### message: VenmoAccountPayload

  - ##### reader: BinaryReader

  #### Returns VenmoAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: VenmoAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:5191

  #### Parameters

  - ##### message: VenmoAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: VenmoAccountPayload ): VenmoAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:5190

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: VenmoAccountPayload

  #### Returns VenmoAccountPayload . AsObject

Generated using TypeDoc